import numpy as np
from findTFn import findT,findTa

def AcetonePFR(v,y,FAF,CAF,TF,Fa,Ta0,U,A):
    Rgas = 8.314 
    lnk0 = 42.529
    k0 = np.exp(lnk0)
    E = 284522
    FA = y[0]
    H = y[1]
    Ha = y[2]
    FK = FAF - FA
    FM = FAF - FA
    FT = FA + FK + FM
    T = findT(H,TF,FA,FK,FM)
    CA = FA/FT*CAF*TF/T
    rA = k0*np.exp(-E/Rgas/T)*CA
    Ta = findTa(Ha,Ta0,Fa)
    dy = np.zeros(3)
    dy[0] = -rA
    dy[1] = U*A*(Ta-T)
    dy[2] = U*A*(Ta-T)
    return dy

