import numpy as np
from HtRxnAcetoneFn import HtRxn

def AcetonePFR(v,y,FAF,CAF,TF,Fa,U,A):
    Rgas = 8.314 
    CpA = 163.89
    CpK = 84.65
    CpM = 71.79
    CpAir = 33.44
    lnk0 = 42.529
    k0 = np.exp(lnk0)
    E = 284522
    FA = y[0]
    T = y[1]
    Ta = y[2]
    FK = FAF - FA
    FM = FAF - FA
    FT = FA + FK + FM
    CA = FA/FT*CAF*TF/T
    rA = k0*np.exp(-E/Rgas/T)*CA
    dy = np.zeros(3)
    dy[0] = -rA
    SumCp = FA*CpA + FK*CpK + FM*CpM
    dy[1] = (rA*(-HtRxn(T))+U*A*(Ta-T))/SumCp
    dy[2] = U*A*(Ta-T)/Fa/CpAir
    return dy

