def CpAavg(T):
    a = 6.8132
    b = 278.6
    c = -156.28
    d = 34.76
    Tref = 298.15
    Trefk = Tref/1000
    Tk = T/1000
    CpT = a*Tk + b/2*Tk**2 + c/3*Tk**3 + d/4*Tk**4
    CpTref = a*Trefk + b/2*Trefk**2 + c/3*Trefk**3 + d/4*Trefk**4
    cpav = (CpT-CpTref)/(Tk-Trefk)
    return cpav

def CpKavg(T):
    a = 18.909
    b = 143.56
    c = -130.23
    d = 66.526
    e = -14.112
    Tref = 198.15
    Trefk = Tref/1000
    Tk = T/1000
    CpT = a*Tk + b/2*Tk**2 + c/3*Tk**3 + d/4*Tk**4 + e/5*Tk**5
    CpTref = a*Trefk + b/2*Trefk**2 + c/3*Trefk**3  \
        + d/4*Trefk**4 + e/5*Trefk**5
    cpav = (CpT-CpTref)/(Tk-Trefk)
    return cpav

def CpMavg(T):
    a = -0.703029
    b = 108.4773
    c = -42.52157
    d = 5.862788
    e = 0.678565
    Tref = 198.15
    Trefk = Tref/1000
    Tk = T/1000
    CpT = a*Tk + b/2*Tk**2 + c/3*Tk**3 + d/4*Tk**4 + e/5*Tk**5
    CpTref = a*Trefk + b/2*Trefk**2 + c/3*Trefk**3  \
        + d/4*Trefk**4 + e/Trefk
    cpav = (CpT-CpTref)/(Tk-Trefk)
    return cpav

def CpAiravg(T):
    a = 28.09
    b = 0.001965
    c = 0.000004799
    d = -0.000000001965
    Tref = 298.15
    CpT = a*T + b/2*T**2 + c/3*T**3 + d/4*T**4
    CpTref = a*Tref + b/2*Tref**2 + c/3*Tref**3 + d/4*Tref**4
    cpav = (CpT-CpTref)/(T-Tref)
    return cpav

