from CpFn import CpAavg,CpKavg,CpMavg,CpAiravg

def fH(H,T,FA,FK,FM):
    Tref = 298.15
    HfA = -216.67e3
    HfK = -61.09e3
    HfM = -74.81e3
    HAt = FA*(CpAavg(T)*(T-Tref)+HfA)
    HKt = FK*(CpKavg(T)*(T-Tref)+HfK)
    HMt = FM*(CpMavg(T)*(T-Tref)+HfM)
    Hout = H - (HAt+HKt+HMt)
    return Hout

def findT(H,TF,FA,FK,FM):
    T1 = TF
    tol = 1.e-6
    while True:
        T2 = T1 + 0.01
        Tnew = T1 - 0.01*fH(H,T1,FA,FK,FM) \
            / (fH(H,T2,FA,FK,FM)-fH(H,T1,FA,FK,FM))
        if abs((Tnew-T1)/Tnew) < tol: break
        T1 = Tnew
    return Tnew

def fHa(Ha,Ta,Fa):
    Tref = 298.15
    Cp = CpAiravg(Ta)
    Haout = Ha - Fa*Cp*(Ta-Tref)
    return Haout

def findTa(Ha,Ta0,Fa):
    Ta1 = Ta0
    tol = 1.e-6
    while True:
        Ta2 = Ta1 + 0.01
        Tanew = Ta1 - 0.01*fHa(Ha,Ta1,Fa) \
            / (fHa(Ha,Ta2,Fa)-fHa(Ha,Ta1,Fa))
        if abs((Tanew-Ta1)/Tanew) < tol: break
        Ta1 = Tanew
    return Tanew

